Heartbleed Now Infects Android Users

h2Google announced, last week, that customers of its Google Cloud Platform, Google Search Appliance, or anyone not running the latest version of Android, (4.1.1), are vulnerable to the Heartbleed bug. This security risk can leave a user wide open to hackers who can steal personal information, passwords and documents with no trace of ever doing so.

 

As patches are still being implemented as of 4/14/14, be sure to watch your emails for ones asking you to update your password. These comapnies have already secured themselves against the Heartbleed bug and will probably notify you of this in the email. It is not advised to change passwords until notifications go out for two reasons:

  1. Not all servers/sites are affected
  2. Changing passwords before the patches are installed will only jeopardize your new password.

Share and Enjoy

  • Facebook
  • Twitter
  • Delicious
  • LinkedIn
  • StumbleUpon
  • Add to favorites
  • Email
  • RSS